Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Software > Software


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

error Violación de segmento , Segmentation fault
  #1  
Antiguo 20-abr-2010, 01:52
WarHar WarHar está desconectado
Aforado
 
Fecha de Ingreso: 16-abril-2010
Versión: 11.2
Mensajes: 21
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
WarHar está en el buen camino
error Violación de segmento , Segmentation fault

Hola forosuse.org

Me encuentro realmente frustrado, varios programas se me están cerrando solos y todos lanzan alguna que otra vez los mensajes del título ¿que está pasando?

Violación de segmento , Segmentation fault en varios programas, entre ellos:

kwrite como publicaba en el tema: http://www.forosuse.org/forosuse/showthread.php?t=23838

Amarok también me ha lanzado ese error, además de tener el siguiente problema:
http://www.forosuse.org/forosuse/showthread.php?t=23840

y ahora el programa amule también, le cual corrí desde la consola para capturar posibles errores... al rato vi que no estaba la aplicación corriendo, revisé la consola y me encontré con esto:

iswarhar@linux-qgqe:~> amule
Initialising aMule 2.2.6 using wxGTK2 v2.8.10
Checking if there is an instance already running...
No other instances are running.
ListenSocket: Ok.
HTTP download thread started
Loading temp files from /home/iswarhar/.aMule/Temp.
Loading PartFile 11 of 11
All PartFiles Loaded.
Adding file /home/iswarhar/.aMule/Temp/002.part.met to shares
Host: amule.sourceforge.net:80
URL: http://amule.sourceforge.net/lastversion
Response: 200 (Error: 0)
Download size: 6
HTTP download thread ended
Violación de segmento
iswarhar@linux-qgqe:~>

--------------------------

Yo creí que posiblemente los efectos gráficos tendrian que ver algo en esto y los deshabilité con alt+shit+f12 y siguen sucediendo los problemas.

¿que podria ser?

mi equipo es el mismo que aparece en la siguiente descripción:

http://www.tuxtems-store.com/index.p...MRtx4Y31GfVOg=

Ayuda por favor ¿que podria hacer? quiero seguir utilizando opensuse pero con estos problemas ya me estoy desesperando.
Responder Citando
  #2  
Antiguo 20-abr-2010, 09:12
Avatar de davmont
davmont davmont está desconectado
Moderador
 
Fecha de Ingreso: 13-diciembre-2007
Ubicación: ~/
Versión: 12.3 x86_64
Mensajes: 2.871
Agradecimientos: 78
Agradecido 141 Veces en 125 Mensajes
Poder de Credibilidad: 13
davmont está en el buen camino
esos problemas son de los propios programas, no de opensuse en sí...

la violación de segmento se da cuando el programa intenta acceder a una zona de memoria que NO es la suya...

reporta bugs, y seguro que lo arreglan.. o actualiza si no lo has hecho (porque igual está solucionado)

a parte, no das mucha información sobre versión de openSUSE y de KDE (que asumo usas, por el kwrite)

un saludo
__________________
No atiendo consultas sobre Linux/openSUSE por privado, usad el foro que para algo está
Normas del foro, de lectura obligada


Responder Citando
  #3  
Antiguo 21-abr-2010, 19:35
WarHar WarHar está desconectado
Aforado
 
Fecha de Ingreso: 16-abril-2010
Versión: 11.2
Mensajes: 21
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
WarHar está en el buen camino
muchas gracias davmont por la respuesta.

Disculpen además que envié el tema varias veces porque no lo veia aparecer en el foro pero al rato me apareció el mensaje que este tenia que ser revisado primero por un moderador.

Sobre mi sistema:

SO: Linux 2.6.31.12-0.2-desktop i686

Sistema: openSUSE 11.2 (i586)
KDE: 4.3.5 (KDE 4.3.5) "release 0"

Como comentaba, ya ha pasado con 3 programas distintos :'( eso me tiene preocupado... espero haya solución.

Por ahora seguiré probando así mi sistema, pienso reinstalarlo a mas tardar este fin de semana para ver si mejora la situación (espero que si :'-( ... )
Responder Citando
  #4  
Antiguo 21-abr-2010, 23:24
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.391
Agradecimientos: 328
Agradecido 486 Veces en 402 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Hola yo tengo kde 4.3.5 "release 3". Te sugiero actualices tu sistema pues yo a lo primero tambien tenia muchos cuelgues de programas y ahora va como una seda...

sudo zypper up (en consola) y te dira todo lo que se actualizara, despues solo tienes que, si estas conforme, escribir s + intro... Salu2
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #5  
Antiguo 22-abr-2010, 08:34
WarHar WarHar está desconectado
Aforado
 
Fecha de Ingreso: 16-abril-2010
Versión: 11.2
Mensajes: 21
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
WarHar está en el buen camino
Cita:
Iniciado por jesusx Ver Mensaje
Hola yo tengo kde 4.3.5 "release 3". Te sugiero actualices tu sistema pues yo a lo primero tambien tenia muchos cuelgues de programas y ahora va como una seda...

sudo zypper up (en consola) y te dira todo lo que se actualizara, despues solo tienes que, si estas conforme, escribir s + intro... Salu2
muchas gracias por tu ayuda, mira, hice esto:

--- --- ---

linux-qgqe:/home/iswarhar # zypper up
Obteniendo los datos del repositorio...
Leyendo los paquetes instalados...

Los siguientes paquetes van a ser actualizados:
chromium mozilla-xulrunner191-kde4

2 paquetes a actualizar.
Tamaño de descarga total: 13,6 MiB. Después de la operación, se utilizarán
146,0 KiB adicionales.

--- --- ---
Creo que solo se actualizarán los navegadores

¿como obtuviste el release 3 del kde 4.3.5? A mi no me sale para actualizar ... ... pero recuerdo que al instalar el sistema no tenia conexión a internet así que cuando instaló no pudo actualizar nada.
Responder Citando
  #6  
Antiguo 22-abr-2010, 09:37
Avatar de xisco
xisco xisco está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 23-marzo-2006
Ubicación: Sector Horchata
Versión: La ultima estable
Mensajes: 1.685
Agradecimientos: 29
Agradecido 157 Veces en 129 Mensajes
Poder de Credibilidad: 13
xisco está en el buen camino
hola,
por descartar, podrias pasar un test de memoria.

Salu2
Responder Citando
  #7  
Antiguo 22-abr-2010, 22:22
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.391
Agradecimientos: 328
Agradecido 486 Veces en 402 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Claro, que tonto XD... Perdon pero creo que se me olvido decirte que agregases los repos de kde... Son estos:
http://download.opensuse.org/reposit.../openSUSE_11.2
http://download.opensuse.org/reposit.../openSUSE_11.2
Despues yo lo que hice en su dia fue un zypper dup pero es bastante peligroso pues este comando actualiza el sistema con la version del paquete mas nueva, independientemente de que repo sea, entonces, al agregar los repos de kde me actualizo un monton de paquetes...
Te recomiendo que leas este tema para tener claro el manejo de los repositorios y despues, si lo tienes claro, puedes actualizar el sistema...

http://www.forosuse.org/forosuse/showthread.php?t=23559

Salu2 espero ser de ayuda...
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #8  
Antiguo 26-abr-2010, 23:07
WarHar WarHar está desconectado
Aforado
 
Fecha de Ingreso: 16-abril-2010
Versión: 11.2
Mensajes: 21
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
WarHar está en el buen camino
Cita:
Iniciado por xisco Ver Mensaje
hola,
por descartar, podrias pasar un test de memoria.

Salu2
muchas gracias por la recomendación, estuve leyendo al respecto en internet y entendí algo así que si otra distribución instalada en el mismo equipo no lanzaba problemas daba a entender que no hay problemas de memoria... ... por lo tanto no hice test de memoria. Probé con mandriva linux y ese está funcionando muy bien.
Responder Citando
  #9  
Antiguo 26-abr-2010, 23:36
WarHar WarHar está desconectado
Aforado
 
Fecha de Ingreso: 16-abril-2010
Versión: 11.2
Mensajes: 21
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
WarHar está en el buen camino
Cita:
Iniciado por jesusx Ver Mensaje
Claro, que tonto XD... Perdon pero creo que se me olvido decirte que agregases los repos de kde... Son estos:
http://download.opensuse.org/reposit.../openSUSE_11.2
http://download.opensuse.org/reposit.../openSUSE_11.2
Despues yo lo que hice en su dia fue un zypper dup pero es bastante peligroso pues este comando actualiza el sistema con la version del paquete mas nueva, independientemente de que repo sea, entonces, al agregar los repos de kde me actualizo un monton de paquetes...
Te recomiendo que leas este tema para tener claro el manejo de los repositorios y despues, si lo tienes claro, puedes actualizar el sistema...

http://www.forosuse.org/forosuse/showthread.php?t=23559

Salu2 espero ser de ayuda...
Muchas gracias jesusx, aprecio de todo corazón tu colaboración

Añadí y activé los repositorios que me comentas, di la orden en consola para actualizar y solo salió:::

---------------
zypper up
Obteniendo los datos del repositorio...
Leyendo los paquetes instalados...

Los siguientes paquetes van a ser actualizados:
systemtap systemtap-runtime

2 paquetes a actualizar.
Tamaño de descarga total: 793,0 KiB. Después de la operación, se utilizarán
57,0 KiB adicionales.
¿Desea continuar? [s/n/?] (s): s
--------------------

La verdad es que reinstalé OpenSuse 11.2 y ya me ha lanzado dos Segmentation Fault: Uno cuando se cerró inesperadamente la barra de tareas y otro al tratar de abrir un archivo con kaffeine.

Quiero ahora seguir probando y reportar los errores PERO el manejador de fallos de KDE me dice: La información de fallo no es útil. Leyendo al respecto me enteré que eso sale porque falta instalar ciertos paquetes de depuración para los paquetes indicados de la siguiente forma:

#1 0xb6cf6e14 in ?? () from /usr/lib/libQtCore.so.4
...
#5 0xb5a19ac0 in ?? () from /usr/lib/libglib-2.0.so.0
(aparecen los ?? indicando que necesita el paquete de debug especifico)

Entonces me dije que iba a instalar esos paquetes de depuración [paquete]-debug pero busco en el instalar y quitar programas de yast y no aparecen para descargar incluso añadí los repositorios que creí podian contener los paquetes de depuración pero igual no aparecen para descargar. Tengo actualmente los siguientes repositorios activados:

URL: ftp://download.nvidia.com/opensuse/11.2/
URL: http://download.opensuse.org/reposit...openSUSE_11.2/
***
URL: http://download.opensuse.org/debug/d...11.2/repo/oss/
***
URL: http://ftp.skynet.be/pub/packman/suse/11.2/
URL: http://dl.google.com/linux/rpm/stable/i386
URL: http://download.opensuse.org/update/11.2/
URL: http://download.opensuse.org/reposit...openSUSE_11.2/
***
URL: http://download.opensuse.org/debug/d...11.2/repo/oss/
***
URL: http://download.opensuse.org/distrib.../repo/non-oss/
URL: http://download.opensuse.org/distrib...11.2/repo/oss/

el repositorio que me pareció mas llamativo es el que resalto con asteríscos, incluso lo tenia repetido, deshabilité uno de ellos e igual no aparecen los paquetes de depuración (por ejemplo, el de libQtCore )

------------
¿que repositorio me falta o de donde descargo los paquetes de depuración que me faltan? Como les comento, no puedo hallar los de:

#1 0xb6cf6e14 in ?? () from /usr/lib/libQtCore.so.4
...
#5 0xb5a19ac0 in ?? () from /usr/lib/libglib-2.0.so.0

Un saludo.
Responder Citando
  #10  
Antiguo 27-abr-2010, 01:25
WarHar WarHar está desconectado
Aforado
 
Fecha de Ingreso: 16-abril-2010
Versión: 11.2
Mensajes: 21
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
WarHar está en el buen camino
Holas.

Un amigo esta colaborandome y me dice que actualice el kernel.

Actualmente tengo el kernel 2.6.31.12-0.2.1 "optimizado para desktop" cuyo paquete se llama:
kernel-desktop

Yo añadí el repositorio:
http://download.opensuse.org/reposit...openSUSE_11.2/
Para buscar allí un kernel más actualizado PERO me aparece para descargarme (todos de la versión 2.6.31.13-9.1 )

kernel-default
kernel-pae
kernel-trace
kernel-vanilla
kernel-xen


y del kernel-desktop tan solo me aparecen los paquetes:

kernel-desktop-devel y
kernel-desktop-base
Que por su tamaño de paquete y descripción me indica que para nada es el kernel optimizado para desktop completo (kernel-desktop).

Instalé el paquete kernel-desktop-base y me dijo yast que reiniciara para que apareciera el nuevo kernel pero supongo no abrá tal caso (mas tarde reiniciaré)

¿Solo puedo instalar el kernel-default o hay alguna forma de optener el kernel-desktop actualizado?

Necesito orientación, agradezco la ayuda.
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Segmentation Fault Satan X Internet, Redes y Wireless 4 23-jun-2007 01:08



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 20:04.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba